import { SimpleLocalClient } from '../../core/index.js';
import type { IMoatConfig } from './moat.types.js';
import { moatProfile } from './moat.types.js';

export class MoatClient extends SimpleLocalClient<IMoatConfig> {
  constructor(configArg: IMoatConfig) {
    super(moatProfile, configArg);
  }
}
